Launch-Aktion: Die Pläne Creator und Business sind für begrenzte Zeit rabattiert. Preise ansehen

Coverbilder

Erzeugen Sie Upload-URLs für Coverbilder von Sammlungen und Tracks.

POST /v1/collection/:collection_id/cover

Erzeugt eine Upload-URL für das Coverbild einer Sammlung

Parameter

Name Typ Erforderlich Beschreibung
collection_id uuid Erforderlich Die ID der Sammlung (Pfadparameter)

Beispielanfrage

curl -X POST "https://api.audiodelivery.net/v1/collection/COLLECTION_ID/cover" \
  -H "Authorization: Bearer YOUR_API_KEY"

Antwort

{
"ok": true,
"api_request_id": "uuid",
"collection_id": "uuid",
"collection": {
  "id": "uuid",
  "organization_id": "uuid",
  "title": "string",
  "organization_index": "string | null",
  "metadata": {},
  "theme": [],
  "player_color": "string | null",
  "player_color_light": "string | null",
  "player_color_dark": "string | null",
  "player_subtitle": "string | null",
  "is_cover_overridable": true,
  "is_theme_overridable": true
},
"collection_cover_upload": {
  "method": "POST",
  "upload_url": "string",
  "ttl": 3600,
  "expires_at": "string"
}
}

Nachdem Sie das Bild an die zurückgegebene upload_url hochgeladen haben, wird es auf Farben verarbeitet und auf die Sammlung angewendet (einschließlich theme und player_color).

POST /v1/track/:track_id/cover

Erzeugt eine Upload-URL für das Coverbild eines Tracks

Parameter

Name Typ Erforderlich Beschreibung
track_id uuid Erforderlich Die ID des Tracks (Pfadparameter)

Beispielanfrage

curl -X POST "https://api.audiodelivery.net/v1/track/TRACK_ID/cover" \
  -H "Authorization: Bearer YOUR_API_KEY"

Antwort

{
"ok": true,
"api_request_id": "uuid",
"track_id": "uuid",
"track": {
  "id": "uuid",
  "organization_id": "uuid",
  "collection_id": "uuid",
  "index": "string",
  "duration": 0,
  "file_name": "string",
  "order": 0,
  "metadata": {},
  "player_title": "string | null",
  "player_subtitle": "string | null",
  "player_color": "string | null",
  "player_color_light": "string | null",
  "player_color_dark": "string | null",
  "theme": [],
  "track_status_id": "string"
},
"track_cover_upload": {
  "method": "POST",
  "upload_url": "string",
  "ttl": 3600,
  "expires_at": "string"
}
}

Nachdem Sie das Bild an die zurückgegebene upload_url hochgeladen haben, wird es auf Farben verarbeitet und auf den Track angewendet (einschließlich theme und player_color).